Re: [cip-dev] PATCH: libsepol: Enable Aut opkgtest for libsepol package

<[email protected]> Wed, 15 Jul 2026 06:08:19 +0000
Newsgroups org.cip-project.lists.cip-dev
Message-ID <TY4PR01MB156247289C86B00225185FAA4EDF82@TY4PR01MB15624.jpnprd01.prod.outlook.com>
Dear Maintainer,

Sorry I forgot to attach the patch in the previous mail.
Please find the patch below.

Regards,
Samarth Atreya


________________________________
From: atreya samarth(TSIP) <[email protected]>
Sent: Wednesday, July 15, 2026 11:30 AM
To: [email protected] <[email protected]>; [email protected] <[email protected]>
Cc: [email protected] <[email protected]>; dinesh kumar(TSIP DITC_DIT-OST) <[email protected]>
Subject: [cip-dev] PATCH: libsepol: Enable Autopkgtest for libsepol package


Package: src:libsepol

Version:  3.11-1

Severity: wishlist

Tags: patch


Dear Maintainer,


This patch enables autopkgtest for libsepol by adding basic tests under debian/tests/

(control and upstream) to validate the upstream tests using the installed package.


Also created MR:

https://salsa.debian.org/selinux-team/libsepol/-/merge_requests/5

Please review the patch and provide feedback.


Kind regards,

Samarth Atreya
0001-d-tests-Enable-unit-testing-via-autopkgtest.patch (application/octet-stream, 1.3 KB)
From ce6020f4ee0fcdc1d39bd0e0e6a98336d283ae07 Mon Sep 17 00:00:00 2001
From: Kernalofcorn2 <[email protected]>
Date: Tue, 14 Jul 2026 19:07:38 +0530
Subject: [PATCH] d/tests:Enable unit testing via autopkgtest

---
 debian/tests/control  |  3 +++
 debian/tests/upstream | 19 +++++++++++++++++++
 2 files changed, 22 insertions(+)
 create mode 100644 debian/tests/control
 create mode 100644 debian/tests/upstream

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..ac30c75
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: upstream
+Restrictions: build-needed, needs-root
+Depends:@,libcunit1-dev, build-essential, flex, bison, m4
diff --git a/debian/tests/upstream b/debian/tests/upstream
new file mode 100644
index 0000000..9c78261
--- /dev/null
+++ b/debian/tests/upstream
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+SRCROOT="$(pwd)"
+PARENT="$(dirname "$SRCROOT")"
+
+apt-get update -q
+(cd "$PARENT" && apt-get source checkpolicy 2>&1)
+mv "$PARENT"/checkpolicy-* "$PARENT/checkpolicy"
+make -C "$PARENT/checkpolicy"
+
+
+rm src/libsepol.so.2
+# find the multiarch lib directory
+libdir="/usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)"
+# copy the library files from the installed debian package
+cp "${libdir}/libsepol.so.2" src/libsepol.so.2
+make -C tests test
+
-- 
2.47.3